## gearhead2 0.628

=== debian/changelog ===
gearhead2 (0.628-1ubuntu1) precise; urgency=low

  * Disable hardening flags, fpc doesn't support them and errors out.
    (LP: #935111)

 -- Andreas Moog <amoog@ubuntu.com>  Fri, 24 Feb 2012 18:37:00 +0100

gearhead2 (0.628-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Sat, 05 Jun 2010 09:00:16 +0300

gearhead2 (0.627-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Tue, 25 May 2010 22:54:03 +0300

gearhead2 (0.626-1) unstable; urgency=low

  * New upstream release
  * Don't install .obj files in gearhead2-data.

 -- Kari Pahula <kaol@debian.org>  Sat, 22 May 2010 13:14:59 +0300

gearhead2 (0.625-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Fri, 30 Apr 2010 12:30:55 +0300

gearhead2 (0.624-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Tue, 16 Mar 2010 18:26:07 +0200

gearhead2 (0.623-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Tue, 02 Mar 2010 16:38:10 +0200

gearhead2 (0.622-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Wed, 24 Feb 2010 14:22:27 +0200

gearhead2 (0.621-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.8.4 (no changes necessary).
  * Switch to dpkg-source 3.0 (quilt) format
  * Renamed the per user save game dir as "savegame2" since saves from
    0.61x aren't compatible.
  * Use fpc -g to get debug symbols.

 -- Kari Pahula <kaol@debian.org>  Wed, 10 Feb 2010 15:42:06 +0200

gearhead2 (0.612-1) unstable; urgency=low

  * New upstream release
  * Put correct URL in Homepage field (Closes: #543827)

 -- Kari Pahula <kaol@debian.org>  Tue, 29 Sep 2009 00:14:46 +0300

gearhead2 (0.611-1) unstable; urgency=low

  * Initial release (Closes: #539238)
  * Use quilt for patches
  * Changed gearhead2 to look for game data from under
    /usr/share/games/gearhead2
  * Changed gearhead2 to save games under ~/.gearhead2/SaveGame
  * Save the end of game dump in ~/.gearhead2/
  * Changed gearhead to look for config files at
    $HOME/.gearhead2/gearhead.cfg or /etc/gearhead2.conf
  * Install a configuration template in /etc/gearhead2.conf

 -- Kari Pahula <kaol@debian.org>  Wed, 26 Aug 2009 08:53:28 +0300
