=== debian/control ===
Source: gearhead2
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kari Pahula <kaol@debian.org>
Build-Depends: debhelper (>= 7), fp-compiler
Standards-Version: 3.8.4
Homepage: http://gearheadrpg.com/

Package: gearhead2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gearhead2-data
Description: roguelike mecha role playing game in space
 Set a century and a half after nuclear war, you can explore a world
 where various factions compete to determine the future of the human
 race. Major features include random plot generation, a detailed
 character system, and over two hundred customizable mecha designs.
 .
 GearHead 2 is set five years after the events of GearHead 1. It is
 currently under development and is initially set in the L5 Orbital
 Pattern.

Package: gearhead2-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for gearhead2
 Set a century and a half after nuclear war, you can explore a world
 where various factions compete to determine the future of the human
 race. Major features include random plot generation, a detailed
 character system, and over two hundred customizable mecha designs.
 .
 GearHead 2 is set five years after the events of GearHead 1. It is
 currently under development and is initially set in the L5 Orbital
 Pattern.
 .
 This package contains the data files for gearhead2.
