=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=-all

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

-include /usr/share/dpkg/buildflags.mk
export CFLAGS

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir

	fpc $(CFLAGS) -g -XD -dASCII gearhead
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir

	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp

	rm -f *.a *.o *.ppu gearhead

	dh_clean 

install: install-indep install-arch
install-indep: build-indep-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -i

	dh_install -i -X.obj

install-arch: build-arch-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -a

	dh_install -a -X man_
	install -D -m 644 readme.txt	debian/gearhead2/usr/share/doc/gearhead2/README
	install -D gearhead		debian/gearhead2/usr/games/gearhead2

binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i history.txt
	dh_installdocs -i -X history.txt
	dh_installexamples -i
	dh_installmenu -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -a history.txt
	dh_installdocs -a -X history.txt
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install install-indep install-arch configure
