## gearhead2 0.630

=== debian/changelog ===
gearhead2 (0.630-2) unstable; urgency=medium

  * Move postrm purge rm /etc/gearhead2.conf action to
    gearhead2-data. (Closes: #848006)

 -- Kari Pahula <kaol@debian.org>  Sun, 01 Jan 2017 21:11:58 +0200

gearhead2 (0.630-1) unstable; urgency=medium

  * New upstream release
  * Standards-version 3.9.8 (no changes necessary).
  * Added gearhead2-sdl package.
  * Add desktop file and icon. (Closes: #737892)
  * Move /etc/gearhead2.conf to gearhead2-data.
  * Copy new build deps from gearhead package.
  * Install images data to gearhead2-data.
  * Add ttf-bitstream-vera as a dependency for gearhead2-data and use
    symbolic links instead of installing own copies.
  * Sanitise fpc to not use CFLAGS for flags buf FPCFLAGS instead.

 -- Kari Pahula <kaol@debian.org>  Sun, 13 Nov 2016 20:43:35 +0200
