=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: gearhead2
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: debhelper (>= 7), fp-compiler
-Standards-Version: 3.8.4
+Maintainer: Kari Pahula <kaol@debian.org>
+Build-Depends: debhelper (>= 9), fp-compiler, fp-units-multimedia, fp-units-misc, fp-units-base, libsdl-ttf2.0-dev, libsdl-image1.2-dev
+Standards-Version: 3.9.8
 Homepage: http://gearheadrpg.com/
 
 Package: gearhead2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, gearhead2-data
+Suggests: gearhead2-sdl
 Description: roguelike mecha role playing game in space
  Set a century and a half after nuclear war, you can explore a world
  where various factions compete to determine the future of the human
@@ -19,10 +19,32 @@
  GearHead 2 is set five years after the events of GearHead 1. It is
  currently under development and is initially set in the L5 Orbital
  Pattern.
+ .
+ This is the console version.  For graphics, use gearhead2-sdl
+ instead.
+
+Package: gearhead2-sdl
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, gearhead2-data (>= 0.630)
+Description: roguelike mecha role playing game in space
+ Set a century and a half after nuclear war, you can explore a world
+ where various factions compete to determine the future of the human
+ race. Major features include random plot generation, a detailed
+ character system, and over two hundred customizable mecha designs.
+ .
+ GearHead 2 is set five years after the events of GearHead 1. It is
+ currently under development and is initially set in the L5 Orbital
+ Pattern.
+ .
+ This is the SDL version.  For the console version, use gearhead
+ instead.
 
 Package: gearhead2-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ttf-bitstream-vera
+Breaks: gearhead2 (<< 0.630)
+Replaces: gearhead2 (<< 0.630)
+Suggests: gearhead2 | gearhead2-sdl
 Description: data files for gearhead2
  Set a century and a half after nuclear war, you can explore a world
  where various factions compete to determine the future of the human
