## gearhead2 0.701

=== debian/changelog ===
gearhead2 (0.701-2) unstable; urgency=medium

  * Set type as Application (with correct case) in the desktop
    files. (Closes: #960075)
  * Standards-Version 4.5.0 and debhelper compat 13.
  * Replace duplicate data in gearhead2-data with symlinks to
    gearhead-data and add it as a dependency and build dependency.
  * Optimize screen drawing to be by row.
  * Rename gearhead2-sdl's user config file as gearhead2-sdl.conf to avoid
    clashing defaults for arrow keys.

 -- Kari Pahula <kaol@debian.org>  Wed, 13 May 2020 11:50:02 +0300

gearhead2 (0.701-1) unstable; urgency=medium

  * New upstream release
  * Standards-version 4.1.2 (no changes necessary).
  * Refresh patch unixpaths.

 -- Kari Pahula <kaol@debian.org>  Sun, 03 Dec 2017 18:47:55 +0200
