=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: games
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: debhelper (>= 9), fp-compiler, fp-units-multimedia, fp-units-misc, fp-units-base, libsdl-ttf2.0-dev, libsdl-image1.2-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 13), fp-compiler, fp-units-multimedia, fp-units-misc, fp-units-base, libsdl-ttf2.0-dev, libsdl-image1.2-dev
+Build-Depends-Indep: gearhead-data, openimageio-tools
+Standards-Version: 4.5.0
 Homepage: http://gearheadrpg.com/
 
 Package: gearhead2
@@ -41,7 +42,7 @@
 
 Package: gearhead2-data
 Architecture: all
-Depends: ${misc:Depends}, ttf-bitstream-vera
+Depends: ${misc:Depends}, ttf-bitstream-vera, gearhead-data (>= ${gearhead-version})
 Breaks: gearhead2 (<< 0.630)
 Replaces: gearhead2 (<< 0.630)
 Suggests: gearhead2 | gearhead2-sdl
