=== debian/rules ===
--- 
+++ 
@@ -7,25 +7,39 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=-all
+FPCFLAGS := -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
 else
-	CFLAGS += -O2
+	FPCFLAGS += -O2
 endif
 
 -include /usr/share/dpkg/buildflags.mk
-export CFLAGS
+export FPCFLAGS
+
+GEARHEADDATAVERSION=$(shell dpkg -s gearhead-data | perl -ne 'if (/^Version:\s+(\S+)/) {print $$1; exit 0;}')
 
 build: build-arch build-indep
 
 build-arch: build-arch-stamp
-build-arch-stamp:
+build-arch-stamp: build-arch-console-stamp build-arch-sdl-stamp
+	touch build-arch-stamp
+
+build-arch-console-stamp: debian/build/console
 	dh_testdir
+	cd debian/build/console && fpc $(FPCFLAGS) -XD -dASCII gearhead2
+	touch build-arch-stamp
 
-	fpc $(CFLAGS) -g -XD -dASCII gearhead
-	touch build-arch-stamp
+build-arch-sdl-stamp :: debian/build/sdl
+	dh_testdir
+	sed -i s/gearhead2.conf/gearhead2-sdl.conf/ debian/build/sdl/gears.pp
+	cd debian/build/sdl && fpc $(FPCFLAGS) -dSLDMODE gearhead2
+	touch build-arch-sdl-stamp
+
+debian/build/console debian/build/sdl:
+	dh_testdir
+	mkdir -p $@
+	cp *.pas *.pp $@
 
 build-indep: build-indep-stamp
 build-indep-stamp:
@@ -36,9 +50,9 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-arch-stamp build-indep-stamp
+	rm -f build-arch-stamp build-arch-console-stamp build-arch-sdl-stamp build-indep-stamp
 
-	rm -f *.a *.o *.ppu gearhead
+	rm -rf debian/build
 
 	dh_clean 
 
@@ -58,8 +72,9 @@
 	dh_installdirs -a
 
 	dh_install -a -X man_
-	install -D -m 644 readme.txt	debian/gearhead2/usr/share/doc/gearhead2/README
-	install -D gearhead		debian/gearhead2/usr/games/gearhead2
+	install -D -m 644 readme.txt		debian/gearhead2/usr/share/doc/gearhead2/README
+	install -D -m 644 readme.txt		debian/gearhead2-sdl/usr/share/doc/gearhead2-sdl/README
+	install -D debian/build/sdl/gearhead2	debian/gearhead2-sdl/usr/games/gearhead2-sdl
 
 binary-indep: install-indep
 	dh_testdir
@@ -70,10 +85,18 @@
 	dh_installmenu -i
 	dh_installman -i
 	dh_link -i
+	cd debian/gearhead2-data/usr/share/games/gearhead2/image; \
+for f in *.png; do if [ -e /usr/share/games/gearhead/Image/"$$f" ] && idiff "$$f" /usr/share/games/gearhead/Image/"$$f" >/dev/null 2>/dev/null; then \
+  rm "$$f"; ln -s ../../gearhead/Image/"$$f" . ; \
+fi; done
+	cd debian/gearhead2-data/usr/share/games/gearhead2/gamedata; \
+for f in *.txt; do if [ -e /usr/share/games/gearhead/GameData/"$$f" ] && cmp -s "$$f" /usr/share/games/gearhead/GameData/"$$f" 2>/dev/null; then \
+  rm "$$f"; ln -s ../../gearhead/GameData/"$$f" . ; \
+fi; done
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i
-	dh_gencontrol -i
+	dh_gencontrol -i -- -Vgearhead-version=$(GEARHEADDATAVERSION)
 	dh_md5sums -i
 	dh_builddeb -i
